Subject: RE: Deswik Renewals : 24-3731
From: Jeome Sande <[email-masked]>
To: Siobhan Joubert <[email-masked]>, Izel Koegelenberg <[email-masked]>
Cc: Shane Ryan <[email-masked]>, Joseph Rwagatare <[email-masked]>, Vedaste Gakunde <IMCEAEX-_o=ExchangeLabs_ou=Exchange+20Administrative+20Group+20+28FYDIBOHF23SPDLT+29_cn=Recipients_cn=[email-masked]>, Michael Jacklin <[email-masked]>
Date: Mon, 9 Feb 2026 06:07:59 +0000

Thank you Siobhan.

Dear Izel: can you update the quotation/proposal to split the cost to the 3 companies under Trinity Metals Group as shown below:

Secondly, may assist to complete the Supplier Due Questionnaire to facilitate update of our vendor onboarding database (attachment 2).

Feel free to contact our team, if any concerns or questions.

Kind regards,

Jeome Sande

Group Supply Chain Manager

Trinity Metals Group

Tel: +250 782 369 340 / + 250 722 123 440

Email: [email-masked]<mailto:[email-masked]>

www.trinity-metals.com<http://www.trinity-metals.com/>

Rutongo Mines Ltd, Trinity Nyakabingo Mine Ltd and Trinity Musha Mines Ltd

From: Siobhan Joubert <[email-masked]>
Sent: Friday, February 6, 2026 2:14 PM
To: Izel Koegelenberg <[email-masked]>; Jeome Sande <[email-masked]>; Joseph Rwagatare <[email-masked]>
Cc: Vedaste Gakunde <[email-masked]>; Shane Ryan <[email-masked]>
Subject: RE: Deswik Renewals : 24-3731

Dear Izel,

Thank you again for joining the meeting today and apologies that Jeome was not able to join.

I have summarized discussions below:

1.      Trinty Metals have three different operations for which the three licenses will be assigned. Currently the first licenses is for Nyakabingo Mine while the other two will be assigned to Musha Mine and Rutongo Mine respectively. Therefore, we will request that billing/invoicing, based on the current quotation will be done per the individual operations. You requested the billing addresses, which I believe to be the below. @Jeome Sande<mailto:[email-masked]> please confirm below.

2.      Our process requires a contract to be completed for each of the sites, which may be a change from previous discussions between Trintiy and yourselves. @Jeome Sande<mailto:[email-masked]> can respond on email what is required. I have shared your quotation with procurement previously and will await his guidance.
3.      The timing for the licenses will remain at end April for the Nyakabingo Licenses but we may move the other two licenses sooner. The alternative is to reduce the Nyakabingo quotation to the same timing as the two other sites to align them in the future.

Kind Regards

Siobhan

Siobhan Joubert

Group Mineral Resources Manager

+250 79 400 6903

+2772 599 8386 (WhatsApp)

www.trinity-metals.com<http://www.trinity-metals.com/>

-----Original Appointment-----
From: Siobhan Joubert
Sent: Tuesday, February 3, 2026 12:04 PM
To: Siobhan Joubert; Izel Koegelenberg; Jeome Sande
Cc: Joseph Rwagatare; Vedaste Gakunde
Subject: Deswik Renewals : 24-3731
When: Friday, 6 February 2026 12:30-13:00 (UTC+02:00) Harare, Pretoria.
Where: Microsoft Teams Meeting

Hi All

As per Jeome's request that he is unable to accommodate today. I have checked with Izel and she has availability after 12 tomorrow.

I have set this time accordingly to 12:30, Jeome and Joseph your diaries are free at this time.

Kind Regards

Siobhan

Hi all,

I am moving out the meeting by one hour on request from Izel.

@Jeome Sande<mailto:[email-masked]> I never received a response on the meeting request previously. Please kindly attend this session to reduce back and forth at a later stage.

Kind Regards

Siobhan

Hi Izel,

Thanks for agreeing to a call. I have invited our Procurement team member, Jeome, to explain invoicing and our internal process, which may be different from the past interactions with our sites.

Kind Regards

Siobhan

________________________________________________________________________________

Microsoft Teams meeting

Join: https://teams.microsoft.com/meet/3114939266657?p=wQvRVZEtzgM47uIl0g

Meeting ID: 311 493 926 665 7

Passcode: 2UQ3dG69

  _____

Need help?<https://aka.ms/JoinTeamsMeeting?omkt=en-US> | System reference<https://teams.microsoft.com/l/meetup-join/19%3ameeting_MWFjYjJhNjMtZDZkZi00YzMxLThiMTUtNmY1MDA1MmY4N2M5%40thread.v2/0?context=%7b%22Tid%22%3a%2256461da4-bc61-4728-900d-d5d2b221e9a3%22%2c%22Oid%22%3a%229af43674-df1e-41d1-b0c0-cc18ab21798b%22%7d>

For organizers: Meeting options<https://teams.microsoft.com/meetingOptions/?organizerId=9af43674-df1e-41d1-b0c0-cc18ab21798b&tenantId=56461da4-bc61-4728-900d-d5d2b221e9a3&threadId=[email-masked]&messageId=0&language=en-US>

________________________________________________________________________________

_____________________________________________
From: Izel Koegelenberg <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, February 3, 2026 11:19 AM
To: Siobhan Joubert <[email-masked]<mailto:[email-masked]>>; Stephan Fourie <[email-masked]<mailto:[email-masked]>>; Joseph Rwagatare <[email-masked]<mailto:[email-masked]>>; Terence Makacha <[email-masked]<mailto:[email-masked]>>; Jeome Sande <[email-masked]<mailto:[email-masked]>>; Vedaste Gakunde <[email-masked]<mailto:[email-masked]>>
Cc: SAF Key Accounts <[email-masked]<mailto:[email-masked]>>; Shane Ryan <[email-masked]<mailto:[email-masked]>>
Subject: Re: Deswik Renewals : 24-3731

        You don't often get email from [email-masked]<mailto:[email-masked]>. Learn why this is important<https://aka.ms/LearnAboutSenderIdentification>

Hi Siobhan,

Thursday at 9 is perfect, Stephan unfortunately have another meeting in the time slot but my team and I will be able to assist.

Kind regards,

Izel Koegelenberg | Business Development Manager

<https://www.deswik.com/>

T: +27 11 958 0273

Parkview House, 2nd Floor, Constantia Park, Weltevredenpark, Roodepoort, Gauteng, 1709, South Africa

deswik.com<https://www.deswik.com>

<https://miningindaba.com/page/registration>

This e-mail (as well as any included files) is intended only for the addressee and may contain confidential information. If you are not the
addressee, you are notified that any transmission, distribution, printing or photocopying of this e-mail is strictly prohibited. If you have received
this e-mail in error, please immediately notify the sender and delete it from your computer. Unless explicitly attributed, the opinions expressed do
not necessarily represent the official position of Deswik.

  _____

From: Siobhan Joubert <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, February 3, 2026 9:06 AM
To: Stephan Fourie <[email-masked]<mailto:[email-masked]>>; Joseph Rwagatare <[email-masked]<mailto:[email-masked]>>; Terence Makacha <[email-masked]<mailto:[email-masked]>>; Jeome Sande <[email-masked]<mailto:[email-masked]>>; Vedaste Gakunde <[email-masked]<mailto:[email-masked]>>
Cc: SAF Key Accounts <[email-masked]<mailto:[email-masked]>>; Shane Ryan <[email-masked]<mailto:[email-masked]>>
Subject: RE: Deswik Renewals : 24-3731

Good Morning Stephan,

Apologies for responding today only.

How does this Thursday at 9am work for you?

Kind Regards

Siobhan

Siobhan Joubert

Group Mineral Resources Manager

+250 79 400 6903

+2772 599 8386 (WhatsApp)

www.trinity-metals.com<http://www.trinity-metals.com/>

From: Stephan Fourie <[email-masked]<mailto:[email-masked]>>
Sent: Monday, January 26, 2026 7:45 AM
To: Siobhan Joubert <[email-masked]<mailto:[email-masked]>>; Joseph Rwagatare <[email-masked]<mailto:[email-masked]>>; Terence Makacha <[email-masked]<mailto:[email-masked]>>; Jeome Sande <[email-masked]<mailto:[email-masked]>>; Vedaste Gakunde <[email-masked]<mailto:[email-masked]>>
Cc: SAF Key Accounts <[email-masked]<mailto:[email-masked]>>; Shane Ryan <[email-masked]<mailto:[email-masked]>>
Subject: RE: Deswik Renewals : 24-3731

        You don't often get email from [email-masked]<mailto:[email-masked]>. Learn why this is important<https://aka.ms/LearnAboutSenderIdentification>

Good morning Siobhan,

Best wishes to you too for 2026

Can we schedule a call for Wednesday afternoon 15:30 (GMT +2:00) , or Thu morning 08:00 AM (GMT+2:00)?

Kind Regards

From: Siobhan Joubert <[email-masked]<mailto:[email-masked]>>
Sent: Sunday, 25 January 2026 11:39 AM
To: Joseph Rwagatare <[email-masked]<mailto:[email-masked]>>; Terence Makacha <[email-masked]<mailto:[email-masked]>>; Jeome Sande <[email-masked]<mailto:[email-masked]>>; Vedaste Gakunde <[email-masked]<mailto:[email-masked]>>
Cc: SAF Key Accounts <[email-masked]<mailto:[email-masked]>>; Stephan Fourie <[email-masked]<mailto:[email-masked]>>; Shane Ryan <[email-masked]<mailto:[email-masked]>>
Subject: RE: Deswik Renewals : 24-3731

Dear Terence and Stephan,

Lovely to meet you both and Happy 2026.

Would it be possible to have a discussion with yourself and our procurement team on the process to procure the additional licences for out other sites?

Any day from Wednesday onwards will work for me.

Kind Regards

Siobhan

Siobhan Joubert

Group Mineral Resources Manager

+250 79 400 6903

+2772 599 8386 (WhatsApp)

www.trinity-metals.com<http://www.trinity-metals.com/>

From: Joseph Rwagatare <[email-masked]<mailto:[email-masked]>>
Sent: Saturday, January 24, 2026 12:06 PM
To: Siobhan Joubert <[email-masked]<mailto:[email-masked]>>; Terence Makacha <[email-masked]<mailto:[email-masked]>>
Cc: SAF Key Accounts <[email-masked]<mailto:[email-masked]>>; Stephan Fourie <[email-masked]<mailto:[email-masked]>>
Subject: RE: Deswik Renewals : 24-3731

Dear Deswik Team,

Please meet @Siobhan Joubert<mailto:[email-masked]> our Group Mineral Resource Manager, wanted to have a chat with you regarding to Deswik License.

Regards

Joseph Rwagatare

Mine Planning Engineer

Trinity Nyakabingo Mine

+250 781618766

www.trinity-metals.com<http://www.trinity-metals.com/>

From: Terence Makacha <[email-masked]<mailto:[email-masked]>>
Sent: Friday, January 23, 2026 11:36 AM
To: Joseph Rwagatare <[email-masked]<mailto:[email-masked]>>
Cc: SAF Key Accounts <[email-masked]<mailto:[email-masked]>>
Subject: Deswik Renewals : 24-3731

Hi Joseph,

Please find attached proposal for the 2026 renewals.

Please reach out if you require any further information.

Thank you for your continued partnership and support.

Best Regards,

Terence Makacha | Key Account Manager

<https://www.deswik.com/>

T: +27 11 958 0273

Parkview House, 2nd Floor, Constantia Park, Weltevredenpark, Roodepoort, Gauteng, 1709, South Africa

deswik.com<https://www.deswik.com/>

This e-mail (as well as any included files) is intended only for the addressee and may contain confidential information. If you are not the
addressee, you are notified that any transmission, distribution, printing or photocopying of this e-mail is strictly prohibited. If you have received
this e-mail in error, please immediately notify the sender and delete it from your computer. Unless explicitly attributed, the opinions expressed do
not necessarily represent the official position of Deswik.